Subject: [TR] oil leak

From: Gary Nafziger <[email-masked]>
Date: Tue, 18 Sep 2012 15:06:10 -0700 (PDT)

Recently overhauled tr-3 engine I'm just breaking in has an oil leak which
just keeps dripping even while sitting still and I think it's simply the oil
pan drain plug.  (always a drip on it with puddle on the floor).  I've always
had problems with this plug really sealing on the tr-6 as well as the tr-3. 
If I had a choice of oil leaks I'll gladly take this problem LOL but it's a
mess.  I'm wondering if anyone has had this problem or has a solution besides
just wrapping with ton's of tape........?
thanks!

gary n.

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]